<template>
    <AddColor v-if="condition==='addColor'" @sent="selectCondition"/>
    <ColorView v-else-if="condition==='colorView'" @sent="selectCondition" @edit="editCondition"/>
    <EditColor v-else-if="condition==='editColor'" :color="info" @sent="selectCondition"/>
</template>

<script>
    import AddColor from "./AddColor";
    import EditColor from "./EditColor";
    import ColorView from "./ColorView";
    export default {
        data(){
            return {
                condition :'colorView',
                info:'',
            };
        },
        mounted() {
            //console.log('category component');
        },
        methods:{
            selectCondition(text){
                this.condition=text;
            },
            editCondition(object){
                this.condition='editColor';
                this.info=object;
                //console.log(object);
            },
        },
        components:{AddColor,ColorView,EditColor}
    }
</script>
